/**
 * @name string-extract-class-names
 * @fileoverview Extracts CSS class/id names from a string
 * @version 7.0.10
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/string-extract-class-names/}
 */

var stringExtractClassNames=(()=>{var kt=Object.create;var $=Object.defineProperty;var zt=Object.getOwnPropertyDescriptor;var te=Object.getOwnPropertyNames;var ee=Object.getPrototypeOf,re=Object.prototype.hasOwnProperty;var et=t=>$(t,"__esModule",{value:!0});var rt=(t,e)=>()=>(e||t((e={exports:{}}).exports,e),e.exports),ne=(t,e)=>{for(var r in e)$(t,r,{get:e[r],enumerable:!0})},nt=(t,e,r,n)=>{if(e&&typeof e=="object"||typeof e=="function")for(let o of te(e))!re.call(t,o)&&(r||o!=="default")&&$(t,o,{get:()=>e[o],enumerable:!(n=zt(e,o))||n.enumerable});return t},ot=(t,e)=>nt(et($(t!=null?kt(ee(t)):{},"default",!e&&t&&t.__esModule?{get:()=>t.default,enumerable:!0}:{value:t,enumerable:!0})),t),oe=(t=>(e,r)=>t&&t.get(e)||(r=nt(et({}),e,1),t&&t.set(e,r),r))(typeof WeakMap!="undefined"?new WeakMap:0);var ut=rt((Qr,at)=>{var ie="[object Object]";function se(t){var e=!1;if(t!=null&&typeof t.toString!="function")try{e=!!(t+"")}catch(r){}return e}function ae(t,e){return function(r){return t(e(r))}}var ue=Function.prototype,it=Object.prototype,st=ue.toString,ce=it.hasOwnProperty,le=st.call(Object),fe=it.toString,ge=ae(Object.getPrototypeOf,Object);function de(t){return!!t&&typeof t=="object"}function he(t){if(!de(t)||fe.call(t)!=ie||se(t))return!1;var e=ge(t);if(e===null)return!0;var r=ce.call(e,"constructor")&&e.constructor;return typeof r=="function"&&r instanceof r&&st.call(r)==le}at.exports=he});var Zt=rt((T,v)=>{var pe=200,ct="__lodash_hash_undefined__",lt=9007199254740991,V="[object Arguments]",me="[object Array]",ft="[object Boolean]",gt="[object Date]",be="[object Error]",H="[object Function]",dt="[object GeneratorFunction]",j="[object Map]",ht="[object Number]",W="[object Object]",pt="[object Promise]",mt="[object RegExp]",O="[object Set]",bt="[object String]",yt="[object Symbol]",G="[object WeakMap]",_t="[object ArrayBuffer]",E="[object DataView]",wt="[object Float32Array]",vt="[object Float64Array]",At="[object Int8Array]",St="[object Int16Array]",xt="[object Int32Array]",Tt="[object Uint8Array]",Ct="[object Uint8ClampedArray]",$t="[object Uint16Array]",jt="[object Uint32Array]",ye=/[\\^$.*+?()[\]{}|]/g,_e=/\w*$/,we=/^\[object .+?Constructor\]$/,ve=/^(?:0|[1-9]\d*)$/,s={};s[V]=s[me]=s[_t]=s[E]=s[ft]=s[gt]=s[wt]=s[vt]=s[At]=s[St]=s[xt]=s[j]=s[ht]=s[W]=s[mt]=s[O]=s[bt]=s[yt]=s[Tt]=s[Ct]=s[$t]=s[jt]=!0;s[be]=s[H]=s[G]=!1;var Ae=typeof global=="object"&&global&&global.Object===Object&&global,Se=typeof self=="object"&&self&&self.Object===Object&&self,g=Ae||Se||Function("return this")(),Ot=typeof T=="object"&&T&&!T.nodeType&&T,Et=Ot&&typeof v=="object"&&v&&!v.nodeType&&v,xe=Et&&Et.exports===Ot;function Te(t,e){return t.set(e[0],e[1]),t}function Ce(t,e){return t.add(e),t}function $e(t,e){for(var r=-1,n=t?t.length:0;++r<n&&e(t[r],r,t)!==!1;);return t}function je(t,e){for(var r=-1,n=e.length,o=t.length;++r<n;)t[o+r]=e[r];return t}function It(t,e,r,n){var o=-1,a=t?t.length:0;for(n&&a&&(r=t[++o]);++o<a;)r=e(r,t[o],o,t);return r}function Oe(t,e){for(var r=-1,n=Array(t);++r<t;)n[r]=e(r);return n}function Ee(t,e){return t==null?void 0:t[e]}function Rt(t){var e=!1;if(t!=null&&typeof t.toString!="function")try{e=!!(t+"")}catch(r){}return e}function Nt(t){var e=-1,r=Array(t.size);return t.forEach(function(n,o){r[++e]=[o,n]}),r}function B(t,e){return function(r){return t(e(r))}}function Dt(t){var e=-1,r=Array(t.size);return t.forEach(function(n){r[++e]=n}),r}var Ie=Array.prototype,Re=Function.prototype,I=Object.prototype,F=g["__core-js_shared__"],Pt=function(){var t=/[^.]+$/.exec(F&&F.keys&&F.keys.IE_PROTO||"");return t?"Symbol(src)_1."+t:""}(),Lt=Re.toString,h=I.hasOwnProperty,R=I.toString,Ne=RegExp("^"+Lt.call(h).replace(ye,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),Mt=xe?g.Buffer:void 0,Vt=g.Symbol,Ht=g.Uint8Array,De=B(Object.getPrototypeOf,Object),Pe=Object.create,Le=I.propertyIsEnumerable,Me=Ie.splice,Wt=Object.getOwnPropertySymbols,Ve=Mt?Mt.isBuffer:void 0,He=B(Object.keys,Object),U=w(g,"DataView"),S=w(g,"Map"),K=w(g,"Promise"),q=w(g,"Set"),J=w(g,"WeakMap"),x=w(Object,"create"),We=b(U),Ge=b(S),Be=b(K),Fe=b(q),Ue=b(J),Gt=Vt?Vt.prototype:void 0,Bt=Gt?Gt.valueOf:void 0;function p(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var n=t[e];this.set(n[0],n[1])}}function Ke(){this.__data__=x?x(null):{}}function qe(t){return this.has(t)&&delete this.__data__[t]}function Je(t){var e=this.__data__;if(x){var r=e[t];return r===ct?void 0:r}return h.call(e,t)?e[t]:void 0}function Xe(t){var e=this.__data__;return x?e[t]!==void 0:h.call(e,t)}function Ye(t,e){var r=this.__data__;return r[t]=x&&e===void 0?ct:e,this}p.prototype.clear=Ke;p.prototype.delete=qe;p.prototype.get=Je;p.prototype.has=Xe;p.prototype.set=Ye;function d(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var n=t[e];this.set(n[0],n[1])}}function Ze(){this.__data__=[]}function Qe(t){var e=this.__data__,r=N(e,t);if(r<0)return!1;var n=e.length-1;return r==n?e.pop():Me.call(e,r,1),!0}function ke(t){var e=this.__data__,r=N(e,t);return r<0?void 0:e[r][1]}function ze(t){return N(this.__data__,t)>-1}function tr(t,e){var r=this.__data__,n=N(r,t);return n<0?r.push([t,e]):r[n][1]=e,this}d.prototype.clear=Ze;d.prototype.delete=Qe;d.prototype.get=ke;d.prototype.has=ze;d.prototype.set=tr;function y(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var n=t[e];this.set(n[0],n[1])}}function er(){this.__data__={hash:new p,map:new(S||d),string:new p}}function rr(t){return D(this,t).delete(t)}function nr(t){return D(this,t).get(t)}function or(t){return D(this,t).has(t)}function ir(t,e){return D(this,t).set(t,e),this}y.prototype.clear=er;y.prototype.delete=rr;y.prototype.get=nr;y.prototype.has=or;y.prototype.set=ir;function _(t){this.__data__=new d(t)}function sr(){this.__data__=new d}function ar(t){return this.__data__.delete(t)}function ur(t){return this.__data__.get(t)}function cr(t){return this.__data__.has(t)}function lr(t,e){var r=this.__data__;if(r instanceof d){var n=r.__data__;if(!S||n.length<pe-1)return n.push([t,e]),this;r=this.__data__=new y(n)}return r.set(t,e),this}_.prototype.clear=sr;_.prototype.delete=ar;_.prototype.get=ur;_.prototype.has=cr;_.prototype.set=lr;function fr(t,e){var r=Z(t)||Pr(t)?Oe(t.length,String):[],n=r.length,o=!!n;for(var a in t)(e||h.call(t,a))&&!(o&&(a=="length"||Ir(a,n)))&&r.push(a);return r}function Ft(t,e,r){var n=t[e];(!(h.call(t,e)&&Jt(n,r))||r===void 0&&!(e in t))&&(t[e]=r)}function N(t,e){for(var r=t.length;r--;)if(Jt(t[r][0],e))return r;return-1}function gr(t,e){return t&&Ut(e,Q(e),t)}function X(t,e,r,n,o,a,i){var c;if(n&&(c=a?n(t,o,a,i):n(t)),c!==void 0)return c;if(!P(t))return t;var f=Z(t);if(f){if(c=jr(t),!e)return Tr(t,c)}else{var l=m(t),k=l==H||l==dt;if(Mr(t))return yr(t,e);if(l==W||l==V||k&&!a){if(Rt(t))return a?t:{};if(c=Or(k?{}:t),!e)return Cr(t,gr(c,t))}else{if(!s[l])return a?t:{};c=Er(t,l,X,e)}}i||(i=new _);var z=i.get(t);if(z)return z;if(i.set(t,c),!f)var tt=r?$r(t):Q(t);return $e(tt||t,function(M,C){tt&&(C=M,M=t[C]),Ft(c,C,X(M,e,r,n,C,t,i))}),c}function dr(t){return P(t)?Pe(t):{}}function hr(t,e,r){var n=e(t);return Z(t)?n:je(n,r(t))}function pr(t){return R.call(t)}function mr(t){if(!P(t)||Nr(t))return!1;var e=Yt(t)||Rt(t)?Ne:we;return e.test(b(t))}function br(t){if(!qt(t))return He(t);var e=[];for(var r in Object(t))h.call(t,r)&&r!="constructor"&&e.push(r);return e}function yr(t,e){if(e)return t.slice();var r=new t.constructor(t.length);return t.copy(r),r}function Y(t){var e=new t.constructor(t.byteLength);return new Ht(e).set(new Ht(t)),e}function _r(t,e){var r=e?Y(t.buffer):t.buffer;return new t.constructor(r,t.byteOffset,t.byteLength)}function wr(t,e,r){var n=e?r(Nt(t),!0):Nt(t);return It(n,Te,new t.constructor)}function vr(t){var e=new t.constructor(t.source,_e.exec(t));return e.lastIndex=t.lastIndex,e}function Ar(t,e,r){var n=e?r(Dt(t),!0):Dt(t);return It(n,Ce,new t.constructor)}function Sr(t){return Bt?Object(Bt.call(t)):{}}function xr(t,e){var r=e?Y(t.buffer):t.buffer;return new t.constructor(r,t.byteOffset,t.length)}function Tr(t,e){var r=-1,n=t.length;for(e||(e=Array(n));++r<n;)e[r]=t[r];return e}function Ut(t,e,r,n){r||(r={});for(var o=-1,a=e.length;++o<a;){var i=e[o],c=n?n(r[i],t[i],i,r,t):void 0;Ft(r,i,c===void 0?t[i]:c)}return r}function Cr(t,e){return Ut(t,Kt(t),e)}function $r(t){return hr(t,Q,Kt)}function D(t,e){var r=t.__data__;return Rr(e)?r[typeof e=="string"?"string":"hash"]:r.map}function w(t,e){var r=Ee(t,e);return mr(r)?r:void 0}var Kt=Wt?B(Wt,Object):Wr,m=pr;(U&&m(new U(new ArrayBuffer(1)))!=E||S&&m(new S)!=j||K&&m(K.resolve())!=pt||q&&m(new q)!=O||J&&m(new J)!=G)&&(m=function(t){var e=R.call(t),r=e==W?t.constructor:void 0,n=r?b(r):void 0;if(n)switch(n){case We:return E;case Ge:return j;case Be:return pt;case Fe:return O;case Ue:return G}return e});function jr(t){var e=t.length,r=t.constructor(e);return e&&typeof t[0]=="string"&&h.call(t,"index")&&(r.index=t.index,r.input=t.input),r}function Or(t){return typeof t.constructor=="function"&&!qt(t)?dr(De(t)):{}}function Er(t,e,r,n){var o=t.constructor;switch(e){case _t:return Y(t);case ft:case gt:return new o(+t);case E:return _r(t,n);case wt:case vt:case At:case St:case xt:case Tt:case Ct:case $t:case jt:return xr(t,n);case j:return wr(t,n,r);case ht:case bt:return new o(t);case mt:return vr(t);case O:return Ar(t,n,r);case yt:return Sr(t)}}function Ir(t,e){return e=e==null?lt:e,!!e&&(typeof t=="number"||ve.test(t))&&t>-1&&t%1==0&&t<e}function Rr(t){var e=typeof t;return e=="string"||e=="number"||e=="symbol"||e=="boolean"?t!=="__proto__":t===null}function Nr(t){return!!Pt&&Pt in t}function qt(t){var e=t&&t.constructor,r=typeof e=="function"&&e.prototype||I;return t===r}function b(t){if(t!=null){try{return Lt.call(t)}catch(e){}try{return t+""}catch(e){}}return""}function Dr(t){return X(t,!0,!0)}function Jt(t,e){return t===e||t!==t&&e!==e}function Pr(t){return Lr(t)&&h.call(t,"callee")&&(!Le.call(t,"callee")||R.call(t)==V)}var Z=Array.isArray;function Xt(t){return t!=null&&Vr(t.length)&&!Yt(t)}function Lr(t){return Hr(t)&&Xt(t)}var Mr=Ve||Gr;function Yt(t){var e=P(t)?R.call(t):"";return e==H||e==dt}function Vr(t){return typeof t=="number"&&t>-1&&t%1==0&&t<=lt}function P(t){var e=typeof t;return!!t&&(e=="object"||e=="function")}function Hr(t){return!!t&&typeof t=="object"}function Q(t){return Xt(t)?fr(t):br(t)}function Wr(){return[]}function Gr(){return!1}v.exports=Dr});var Yr={};ne(Yr,{extract:()=>Xr,version:()=>Jr});var Br=ot(ut(),1),Fr=ot(Zt(),1);var A="\xA0";function Ur({str:t,idx:e=0,stopAtNewlines:r=!1,stopAtRawNbsp:n=!1}){if(typeof t!="string"||!t.length||((!e||typeof e!="number")&&(e=0),!t[e+1]))return null;if(t[e+1]&&(t[e+1].trim()||r&&`
\r`.includes(t[e+1])||n&&t[e+1]===A))return e+1;if(t[e+2]&&(t[e+2].trim()||r&&`
\r`.includes(t[e+2])||n&&t[e+2]===A))return e+2;for(let o=e+1,a=t.length;o<a;o++)if(t[o].trim()||r&&`
\r`.includes(t[o])||n&&t[o]===A)return o;return null}function u(t,e=0){return Ur({str:t,idx:e,stopAtNewlines:!1,stopAtRawNbsp:!1})}function Kr({str:t,idx:e,stopAtNewlines:r,stopAtRawNbsp:n}){if(typeof t!="string"||!t.length||((!e||typeof e!="number")&&(e=0),e<1))return null;if(t[~-e]&&(t[~-e].trim()||r&&`
\r`.includes(t[~-e])||n&&t[~-e]===A))return~-e;if(t[e-2]&&(t[e-2].trim()||r&&`
\r`.includes(t[e-2])||n&&t[e-2]===A))return e-2;for(let o=e;o--;)if(t[o]&&(t[o].trim()||r&&`
\r`.includes(t[o])||n&&t[o]===A))return o;return null}function L(t,e=0){return Kr({str:t,idx:e,stopAtNewlines:!1,stopAtRawNbsp:!1})}var Qt="7.0.10";var Jr=Qt;function Xr(t){if(typeof t!="string")throw new TypeError(`string-extract-class-names: [THROW_ID_01] first str should be string, not ${typeof t}, currently equal to ${JSON.stringify(t,null,4)}`);let e=".# ~\\!@$%^&*()+=,/';:\"?><[]{}|`",r;function n(i){return typeof i=="string"&&!!i.length&&(i.charCodeAt(0)>64&&i.charCodeAt(0)<91||i.charCodeAt(0)>96&&i.charCodeAt(0)<123)}let o=null,a={res:[],ranges:[]};for(let i=0,c=t.length;i<=c;i++){o!==null&&i>=o&&(!t[i]||!t[i].trim()||e.includes(t[i]))&&(i>o+1&&(a.ranges.push([o,i]),a.res.push(`${r||""}${t.slice(o,i)}`),r&&(r=void 0)),o=null),t[i]&&o===null&&(t[i]==="."||t[i]==="#")&&(o=i);let f=u(t,i+4);t.startsWith("class",i)&&typeof L(t,i)=="number"&&t[L(t,i)]==="["&&typeof f=="number"&&t[f]==="="&&(u(t,f)&&n(t[u(t,f)])?o=u(t,f):`'"`.includes(t[u(t,f)])&&n(t[u(t,u(t,f))])&&(o=u(t,u(t,f))),r=".");let l=u(t,i+1);t.startsWith("id",i)&&t[L(t,i)]==="["&&l!==null&&t[l]==="="&&(n(t[u(t,l)])?o=u(t,l):`'"`.includes(t[u(t,l)])&&n(t[u(t,u(t,l))])&&(o=u(t,u(t,l))),r="#")}return a.ranges.length||(a.ranges=null),a}return oe(Yr);})();
/**
 * @name string-left-right
 * @fileoverview Looks up the first non-whitespace character to the left/right of a given index
 * @version 5.0.10
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/string-left-right/}
 */
